#include <Array.au3>

#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=INRadio  Entwicklungs-umgebung\INRadio.ico
#AutoIt3Wrapper_Outfile=INR_Updater.exe
#AutoIt3Wrapper_Res_LegalCopyright=JuraX
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_Run_Au3check=n
#AutoIt3Wrapper_Run_Tidy=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

HttpSetUserAgent('firefox')
$sIndex = BinaryToString(InetRead('http://jurax.square7.ch/INR/index.html'))
If @error Then
	If @OSLang = 0407 Then
		MsgBox(0, "INR Updater", "Keine Verbindung zur Seite. Bitte berprfen Sie ihre Netzwerkverbindung und versuchen es erneut!")
	Else
		MsgBox(0, "INR Updater", "Could not connect to site. Please check your connection and try again!")
	EndIf
	Sleep(4000)
	Exit
EndIf
$aVersion = StringRegExp($sIndex, 'INR Version\s+(\d+\.\d+)', 3)
;_ArrayDisplay($aVersion)
If @OSVersion = "WIN_XP" Then
	$versionb = $aVersion[1]
ElseIf @OSVersion = "WIN_Vista" Or "WIN_7" Then
	$versionb = $aVersion[0]
EndIf
$Versiontxt = FileOpen(@ScriptDir & "/Version.txt", 0)
$ver = FileRead(@ScriptDir & "/Version.txt")
If $ver = "" Then
	If @OSLang = 0407 Then
		MsgBox(0, "INR Updater", "Konnte Version.txt nicht laden!")
	Else
		MsgBox(0, "INR Updater", "Could not load Version.txt!")
	EndIf
	Exit
EndIf
If $ver >= $versionb Then
	If @OSLang = 0407 Then
		MsgBox(0, "INR Updater", "Sie haben die neuste Version!")
	Else
		MsgBox(0, "INR Updater", "You already have the latest version!")
	EndIf
	Exit
EndIf
FileClose($Versiontxt)
If @OSLang = 0407 Then
	MsgBox(0, "INR Updater", "Neue Version : " & $versionb & @CRLF & "Ihre version: " & $ver)
Else
	MsgBox(0, "INR Updater", "New version : " & $versionb & @CRLF & "Your version: " & $ver)
EndIf
Run(@ScriptDir & "/INR_Downloader.exe")
ProcessWait("INR_Downloader.exe")
ProcessWaitClose("INR_Downloader.exe")
Exit