;===================================================================================================
; INRadio-Radiotuner by JuraX
;===================================================================================================

#NoTrayIcon
#include <ButtonConstants.au3>
#include <ComboConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#include <IE.au3>
#include <Misc.au3>
#include <String.au3>
#include <inet.au3>

#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=INRadio  Entwicklungs-umgebung\INRadio.ico
#AutoIt3Wrapper_Outfile=Radiotuner.exe
#AutoIt3Wrapper_Res_LegalCopyright=JuraX
#AutoIt3Wrapper_Res_Language=1031
#AutoIt3Wrapper_Run_Au3check=n
#AutoIt3Wrapper_Run_Tidy=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

Opt("TrayMenuMode", 1)
#Region StartUp
Global $Version = ""
Global $startkey = IniRead("INRadio.ini", "Start", "firststart", "")
Global $pfad = @ScriptDir
Global $verschluesselt
Global $read
Global $meinpasswort
Global $Form1
Global $nmsg
Global $ausdateigelesen

#Region Tray
$uottray = TrayCreateItem("Anzeigen")
$totray = TrayCreateItem("Verstecken")
$deleate = TrayCreateItem("Schlieen")
$sM = TrayCreateMenu("Sender Auswahl")
$antenne = TrayCreateItem("Antenne Bayern", $sM)
$br3 = TrayCreateItem("Bayern 3", $sM)
$rockantenne = TrayCreateItem("Rock Antenne", $sM)
$technobase = TrayCreateItem("Technobase.FM", $sM)
TraySetState()
#EndRegion Tray

;First Start
$firststart = IniRead("INRadio.ini", "Start", "firststart", "")
If $firststart = "" Then
	IniWrite("INRadio.ini", "Start", "firststart", "False")
Else
EndIf
#EndRegion StartUp

#Region GuiMusik

$Form1_1 = GUICreate('INRadio ' & $Version & '', 299, 201, 193, 125)
$oIE = _IECreateEmbedded()
GUICtrlCreateObj($oIE, -300, -300, 0, 0)
$play = GUICtrlCreateButton("Play", 168, 40, 121, 25, 0)
$stop = GUICtrlCreateButton("Stop", 168, 72, 121, 25, 0)
$credits = GUICtrlCreateButton("Credits", 168, 104, 121, 25, 0)
$exit = GUICtrlCreateButton("Exit", 168, 168, 121, 25, 0)
$Slider1 = GUICtrlCreateSlider(8, 8, 281, 25)
GUICtrlSetData($Slider1, 50)
GUICtrlSetLimit(-1, 100, 0)
$rurl = GUICtrlCreateButton("Anderes Radio", 168, 140, 121, 25, 0)
$Sender = GUICtrlCreateCombo("", 8, 56, 153, 25)
GUICtrlSetData(-1, "Antenne Bayern|Rock Antenne|Bayern 3|TechnoBase.FM")
$Info_button = GUICtrlCreateButton("Info", 45, 168, 121, 25, 0)
GUISetState(@SW_SHOW)
#EndRegion GuiMusik

#Region GuiNachrichten
$Form2_2 = GUICreate('INRadio ' & $Version & '', 299, 201, 193, 125)
$oIEN = _IECreateEmbedded()
GUICtrlCreateObj($oIE, -300, -300, 0, 0)
$playN = GUICtrlCreateButton("Play", 168, 40, 121, 25, 0)
$stopN = GUICtrlCreateButton("Stop", 168, 72, 121, 25, 0)
$creditsN = GUICtrlCreateButton("Credits", 168, 104, 121, 25, 0)
$exitN = GUICtrlCreateButton("Exit", 168, 168, 121, 25, 0)
$Slider1N = GUICtrlCreateSlider(8, 8, 281, 25)
GUICtrlSetData($Slider1, 50)
GUICtrlSetLimit(-1, 100, 0)
$SenderN = GUICtrlCreateCombo("", 8, 56, 153, 25)
GUICtrlSetData(-1, "B5 Aktuell")
$Info_buttonN = GUICtrlCreateButton("Info", 45, 168, 121, 25, 0)
GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
GUISetState(@SW_SHOW)
#EndRegion GuiNachrichten

#Region GuiSelect
$Select = GUICreate("Bitte Auswhlen", 290, 100)
GUICtrlCreatePic("bachground1", 0, 0, 290, 100)
GUICtrlSetState(-1, $GUI_DISABLE)
$webradio = GUICtrlCreateRadio("Webradio", 20, 20)
$Nachrichten = GUICtrlCreateRadio("Nachrichten", 130, 20)
$loc = GUICtrlCreateRadio("MP3", 240, 20)
$Support = GUICtrlCreateButton("Feedback/Support", 10, 50)
$tools = GUICtrlCreateButton("Tools", 120, 50)
$update = GUICtrlCreateButton("Nach Updates suchen", 170, 50)

GUISetState(@SW_SHOW, $Select)
GUISetState(@SW_HIDE, $Form1_1)
GUISetState(@SW_HIDE, $Form2_2)
#EndRegion GuiSelect

#Region Loop

While (True)
	$nmsg = GUIGetMsg()
	$tmsg = TrayGetMsg()
	Switch $tmsg

		Case $uottray
			GUISetState(@SW_SHOW, $Form1_1)
		Case $totray
			GUISetState(@SW_HIDE, $Form1_1)
		Case $deleate
			Exit
		Case $antenne
			$oWMP = ObjCreate("WMPLayer.ocx")
			$oWMP.URL = "http://www.antenne.de/webradio/antenne.wmx"
			$oWMP.controls.play()
		Case $br3
			$oWMP = ObjCreate("WMPLayer.ocx")
			$oWMP.URL = "http://streams.br-online.de/bayern3_1.asx"
			$oWMP.controls.play()
		Case $rockantenne
			$oWMP = ObjCreate("WMPLayer.ocx")
			$oWMP.URL = "http://www.rockantenne.de/webradio/rockantenne.wmx"
			$oWMP.controls.play()
		Case $technobase
			_IENavigate($oIE, "http://www.technobase.fm/wmplayer.php")

	EndSwitch
	Switch $nmsg
		Case $GUI_EVENT_CLOSE
			ExitLoop
		Case $webradio
			GUISetState(@SW_HIDE, $Select)
			GUISetState(@SW_SHOW, $Form1_1)
			GUISetState(@SW_HIDE, $Form2_2)
		Case $Nachrichten
			GUISetState(@SW_HIDE, $Select)
			GUISetState(@SW_HIDE, $Form1_1)
			GUISetState(@SW_SHOW, $Form2_2)
		Case $loc
			GUISetState(@SW_HIDE, $Select)
			GUISetState(@SW_HIDE, $Form1_1)
			GUISetState(@SW_HIDE, $Form2_2)
			ShellExecute("Localtuner.exe")
		Case $Support
			_INetMail("Justmails@gmx.net", "Feedback", "")
		Case $tools
			Run(@ScriptDir & "\INR_Tools.exe")
			Exit
		Case $update
			Run(@ScriptDir & "\INR_Updater.exe")
			Exit
		Case $play
			GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
			If GUICtrlRead($Sender) = "" Then
				MsgBox(0, "Error", "Sie haben kein Radio ausgewhlt!")
				MsgBox(0, "Error", "Sie haben kein Radio ausgewhlt!")
			ElseIf GUICtrlRead($Sender) = "Antenne Bayern" Then
				$oWMP = ObjCreate("WMPLayer.ocx")
				$oWMP.URL = "http://www.antenne.de/webradio/antenne.wmx"
				$oWMP.controls.play()
			ElseIf GUICtrlRead($Sender) = "Bayern 3" Then
				$oWMP = ObjCreate("WMPLayer.ocx")
				$oWMP.URL = "http://streams.br-online.de/bayern3_1.asx"
				$oWMP.controls.play()
			ElseIf GUICtrlRead($Sender) = "Rock Antenne" Then
				$oWMP = ObjCreate("WMPLayer.ocx")
				$oWMP.URL = "http://www.rockantenne.de/webradio/rockantenne.wmx"
				$oWMP.controls.play()
			ElseIf GUICtrlRead($Sender) = "B5 Aktuell" Then
				$oWMP = ObjCreate("WMPLayer.ocx")
				$oWMP.URL = "http://streams.br-online.de/b5aktuell_1.asx"
				$oWMP.controls.play()
				#comments-start
					ElseIf GUICtrlRead($Sender) = "$oWMP.URL = NRJ-Dance" Then
					$oWMP = ObjCreate("WMPLayer.ocx")
					$oWMP.URL = "http://test.nrjnet.de/player/index.php?play=138080853"
					$oWMP.controls.play()
					ElseIf GUICtrlRead($Sender) = "NRJ-Mnchen" Then
					$oWMP = ObjCreate("WMPLayer.ocx")
					$oWMP.URL = "http://test.nrjnet.de/player/index.php?play=732771128"
					$oWMP.controls.play()
				#comments-end
			ElseIf GUICtrlRead($Sender) = "TechnoBase.FM" Then
				_IENavigate($oIE, "http://www.technobase.fm/wmplayer.php")
			EndIf

		Case $stop
			_IENavigate($oIE, "about:blank")
			$oWMP = ObjCreate("WMPLayer.ocx")
			$oWMP.controls.stop()
			GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
			GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
		Case $credits
			MsgBox(0, "Credits", "JuraX 2010 ")
		Case $rurl
			#Region "YoutubeF"
			$pourl = InputBox("Radio abspielen", "Bitte url einfgen")
			$youre = StringInStr($pourl, "youtube")
			If $youre >= 1 Then
				GUICtrlCreateIcon("youtube.ico", "", 35, 100, 100, 50)
			EndIf
			#EndRegion "YoutubeF"
			#Region "MyvideoF"
			$myre = StringInStr($pourl, "myvideo")
			If $myre >= 1 Then
				GUICtrlCreateIcon("myvid.ico", "", 35, 100, 100, 50)
			EndIf
			#EndRegion "MyvideoF"
			$oWMP = ObjCreate("WMPLayer.ocx")
			$oWMP.URL = $pourl
			$oWMP.controls.play()
		Case $Info_button
			MsgBox(0, "Info", "")
		Case $exit
			ExitLoop
		Case $Slider1
			SoundSetWaveVolume(GUICtrlRead($Slider1))
		Case $playN
			GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
			If GUICtrlRead($SenderN) = "" Then
				MsgBox(0, "Error", "Sie haben kein Radio ausgewhlt!")
				MsgBox(0, "Error", "Sie haben kein Radio ausgewhlt!")
			ElseIf GUICtrlRead($Sender) = "B5 Aktuell" Then
				$oWMP.URL = "http://www.br-online.de/br/jsp/seitentyp/liveStreamFenster.jsp?welle=b5aktuell"
				$icon_RA = GUICtrlCreateIcon("b5.ico", "", 35, 100, 100, 50)
				$icon_RA = GUICtrlCreateIcon("b5.ico", "", 35, 100, 100, 50)
			EndIf
		Case $stopN
			$oWMP = ObjCreate("WMPLayer.ocx")
			$oWMP.controls.stop()
			GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
			GUICtrlCreateIcon("inradio.ico", "", 35, 100, 100, 50)
		Case $creditsN
			MsgBox(0, "Credits", "JuraX 2010")
		Case $Info_buttonN
			MsgBox(0, "Info", "Wichtiger Hinweis:	Bitte laden sie sich den Windows-Mediaplayer fr den Internetexplorer herunter")
		Case $exitN
			ExitLoop
		Case $Slider1N
			SoundSetWaveVolume(GUICtrlRead($Slider1))
	EndSwitch
WEnd

#EndRegion Loop